Bug#889582: New upstream version

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#889582: New upstream version

Eduard Bloch
Package: libmtp9
Version: 1.1.13-1
Severity: wishlist

Hi,

looking at https://git.code.sf.net/p/libmtp/code I see a tag libmtp-1-1-14 from
October and also a few commits on master since the tag which look like
being very worthy of being cherry-picked on top.

Please consider releasing a new version. Thanks.

Eduard.


-- System Information:
Debian Release: buster/sid
  APT prefers unstable-debug
  APT policy: (500, 'unstable-debug'), (500, 'unstable'), (1, 'experimental-debug'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.15.0 (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8), LANGUAGE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
Init: systemd (via /run/systemd/system)

Versions of packages libmtp9 depends on:
ii  dpkg           1.19.0.5
ii  libc6          2.26-6
ii  libgcrypt20    1.8.1-4
ii  libmtp-common  1.1.13-1
ii  libusb-1.0-0   2:1.0.21-2

Versions of packages libmtp9 recommends:
ii  libmtp-runtime  1.1.13-1
ii  udev            237-1

libmtp9 suggests no packages.

-- no debconf information

Reply | Threaded
Open this post in threaded view
|

Bug#889582: Update libmtp package in Debian (new upstream releases)

Dylan Aïssi-3
Hi Alessio,

The last libmtp version packaged in Debian is quite old (2017-04), 3
new versions were released since. Do you intend to update the Debian
package before the freeze?

If you don't have time, I can help you to update the package.

Best,
Dylan

Reply | Threaded
Open this post in threaded view
|

Bug#889582: Update libmtp package in Debian (new upstream releases)

Alessio Treglia via nm
On Fri, 18 Jan 2019 at 16:39, Dylan Aïssi <[hidden email]> wrote:
> If you don't have time, I can help you to update the package.

Please go ahead.

Thanks

--
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         |     [hidden email]
Ubuntu Core Developer    |  [hidden email]
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A

Reply | Threaded
Open this post in threaded view
|

Bug#889582: Update libmtp package in Debian (new upstream releases)

Dylan Aïssi-3
Hi Alessio,

Le lun. 21 janv. 2019 à 02:23, Alessio Treglia <[hidden email]> a écrit :
> On Fri, 18 Jan 2019 at 16:39, Dylan Aïssi <[hidden email]> wrote:
> > If you don't have time, I can help you to update the package.
>
> Please go ahead.

Thanks :-)

Last questions:
- Should I do a NMU or co-maint is fine for you?
- Since the old git repo is gone with alioth, I have created a new one
with gbp --debsnap [1], is it ok if I move it to the debian group in
salsa (i.e. [2])?

Best,
Dylan

[1] https://salsa.debian.org/daissi/libmtp
[2] https://salsa.debian.org/debian/libmtp

Reply | Threaded
Open this post in threaded view
|

Bug#889582: Update libmtp package in Debian (new upstream releases)

Alessio Treglia via nm
On Mon, 21 Jan 2019 at 10:12, Dylan Aïssi <[hidden email]> wrote:
> - Should I do a NMU or co-maint is fine for you?

Either way is fine.

> - Since the old git repo is gone with alioth, I have created a new one
> with gbp --debsnap [1], is it ok if I move it to the debian group in
> salsa (i.e. [2])?

I'm ok with that.

Thanks


--
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         |     [hidden email]
Ubuntu Core Developer    |  [hidden email]
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A